<div fxLayout="row wrap" fxLayout.lt.sm="column" fxLayoutAlign="space-around start" class="cart">
  <mat-card fxFlex="75" fxFlex.xs="100%" fxFlex.sm="100%" fxLayout="column">
    <mat-card-title>
      {{pageTitle}}
    </mat-card-title>
    <div fxLayout="row" fxLayoutAlign="center start">
      <div fxFlex="60%"></div>
      <div fxFlex="20%" class="text-align-center">
        <span fxHide.lt-md>Quantity</span>
      </div>
      <div fxFlex="20%" class="text-align-center">
        <span fxHide.lt-md>Price</span>
      </div>
    </div>
    <mat-divider inset="true"></mat-divider>
    <div *ngIf="!orderedProducts.length">{{emptyCartMsg}}</div>
    <div *ngFor="let product of orderedProducts">
      <pm-cart-item [orderItem]="product" (onRemoveClicked)="removeOrderItem($event)"
        (onPlusClicked)="updateQuantity(1, product)" (onMinusClicked)="updateQuantity(-1, product)">
      </pm-cart-item>
      <mat-divider inset="true"></mat-divider>
    </div>
  </mat-card>
  <mat-card fxFlex="20" fxLayout="column" fxFlex.xs="100%" fxFlex.sm="100%">
    <mat-card-title fxFlex class="cart-summary--title">
      Order Summary
    </mat-card-title>
    <mat-card-content fxFlex>
      <p class="cart-summary__total">
        Estimated Order Total <span class="cart-summary__price">{{totalPrice}}</span> USDC
      </p>
    </mat-card-content>
    <mat-card-actions fxFlex fxLayout="column" fxLayoutGap="20px">
      <button mat-flat-button color="accent" [disabled]="isCheckoutDisabled" (click)="openCheckout()">Checkout</button>
      <button mat-flat-button color="accent" [routerLink]="['/products']">Continue Shopping</button>
    </mat-card-actions>
  </mat-card>
</div>
